Save times
curl --request POST \
--url https://sandbox.tight.com/v6/timeTracking/times \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": [
{
"id": "tme_28868401",
"date": "2024-03-15",
"status": "ACTIVE",
"duration": 3600000,
"taskId": "tmt_28868401",
"description": "Worked on feature implementation",
"notes": "Additional context about the work",
"invoiceId": "inv_28868401",
"customerId": "cus_4852707",
"dimensionValueIds": [
"[\"dv_593051\",\"dv_593052\"]"
],
"employeeId": "emp_12345",
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
]
}
'import requests
url = "https://sandbox.tight.com/v6/timeTracking/times"
payload = { "data": [
{
"id": "tme_28868401",
"date": "2024-03-15",
"status": "ACTIVE",
"duration": 3600000,
"taskId": "tmt_28868401",
"description": "Worked on feature implementation",
"notes": "Additional context about the work",
"invoiceId": "inv_28868401",
"customerId": "cus_4852707",
"dimensionValueIds": ["[\"dv_593051\",\"dv_593052\"]"],
"employeeId": "emp_12345",
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: [
{
id: 'tme_28868401',
date: '2024-03-15',
status: 'ACTIVE',
duration: 3600000,
taskId: 'tmt_28868401',
description: 'Worked on feature implementation',
notes: 'Additional context about the work',
invoiceId: 'inv_28868401',
customerId: 'cus_4852707',
dimensionValueIds: ['["dv_593051","dv_593052"]'],
employeeId: 'emp_12345',
customData: {internal_key: 'some_internal_key', some_other_field: 23434}
}
]
})
};
fetch('https://sandbox.tight.com/v6/timeTracking/times', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"data": {
"id": "tme_28868401",
"date": "2024-03-15",
"status": "ACTIVE",
"duration": 3600000,
"task": {
"id": "tmt_28868401",
"description": "Development work"
},
"description": "Worked on feature implementation",
"notes": "Additional context about the work",
"invoice": {
"id": "<string>",
"name": "<string>",
"date": "2023-12-25",
"lineItems": [
{
"id": "ili_123456",
"amount": 5001
}
]
},
"customer": {
"id": "cus_4852707",
"name": "Abigail Adams",
"email": "abigail@tight.com"
},
"dimensionValues": [
{
"id": "dv_593051",
"dimension": {
"id": "dim_4521",
"name": "Region",
"requiredness": "NOT_REQUIRED"
},
"name": "Mid-Atlantic",
"child": {
"id": "dv_593052",
"dimension": {
"id": "dim_4521",
"name": "Region",
"requiredness": "NOT_REQUIRED"
},
"name": "Washington DC",
"child": "<unknown>"
}
}
],
"employee": {
"id": "emp_12345",
"firstName": "John",
"lastName": "Doe",
"email": "employee@example.com"
},
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
},
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}
],
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}{
"data": [
{
"data": {
"id": "tme_28868401",
"date": "2024-03-15",
"status": "ACTIVE",
"duration": 3600000,
"task": {
"id": "tmt_28868401",
"description": "Development work"
},
"description": "Worked on feature implementation",
"notes": "Additional context about the work",
"invoice": {
"id": "<string>",
"name": "<string>",
"date": "2023-12-25",
"lineItems": [
{
"id": "ili_123456",
"amount": 5001
}
]
},
"customer": {
"id": "cus_4852707",
"name": "Abigail Adams",
"email": "abigail@tight.com"
},
"dimensionValues": [
{
"id": "dv_593051",
"dimension": {
"id": "dim_4521",
"name": "Region",
"requiredness": "NOT_REQUIRED"
},
"name": "Mid-Atlantic",
"child": {
"id": "dv_593052",
"dimension": {
"id": "dim_4521",
"name": "Region",
"requiredness": "NOT_REQUIRED"
},
"name": "Washington DC",
"child": "<unknown>"
}
}
],
"employee": {
"id": "emp_12345",
"firstName": "John",
"lastName": "Doe",
"email": "employee@example.com"
},
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
},
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}
],
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}{
"data": [
{
"data": {
"id": "tme_28868401",
"date": "2024-03-15",
"status": "ACTIVE",
"duration": 3600000,
"task": {
"id": "tmt_28868401",
"description": "Development work"
},
"description": "Worked on feature implementation",
"notes": "Additional context about the work",
"invoice": {
"id": "<string>",
"name": "<string>",
"date": "2023-12-25",
"lineItems": [
{
"id": "ili_123456",
"amount": 5001
}
]
},
"customer": {
"id": "cus_4852707",
"name": "Abigail Adams",
"email": "abigail@tight.com"
},
"dimensionValues": [
{
"id": "dv_593051",
"dimension": {
"id": "dim_4521",
"name": "Region",
"requiredness": "NOT_REQUIRED"
},
"name": "Mid-Atlantic",
"child": {
"id": "dv_593052",
"dimension": {
"id": "dim_4521",
"name": "Region",
"requiredness": "NOT_REQUIRED"
},
"name": "Washington DC",
"child": "<unknown>"
}
}
],
"employee": {
"id": "emp_12345",
"firstName": "John",
"lastName": "Doe",
"email": "employee@example.com"
},
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
},
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}
],
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "INVALID_TOKEN",
"message": "Invalid access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "FORBIDDEN",
"message": "Expired access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "BAD_REQUEST",
"message": "Resource not found"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "Something went wrong. Please try again later."
}
]
}Time Tracking
Save times
Save new (or update existing) time tracking entries
POST
/
v6
/
timeTracking
/
times
Save times
Authorizations
Bearer authentication header of the form Bearer <token>, see Authentication for more detail.
Body
application/json
Show child attributes
Show child attributes
⌘I